# Generated by Django 2.2.24 on 2021-06-08 04:44

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Carriage',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=3, primary_key=True, serialize=False, verbose_name='code')),
                ('name', models.CharField(max_length=50, unique=True, verbose_name='name')),
                ('slug', models.SlugField(unique=True, verbose_name='slug')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='carriage_carriage_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='carriage_carriage_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'carriage',
                'verbose_name_plural': 'carriages',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_carriage', 'Can list carriage'), ('detail_carriage', 'Can detail carriage'), ('disable_carriage', 'Can disable carriage')),
            },
        ),
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='code')),
                ('transport_by', models.CharField(choices=settings.CARRIAGE_TRANSPORTBY_DEF, max_length=3, verbose_name='transport by')),
                ('carriage', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='carriage.Carriage', verbose_name='carriage')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='carriage_delivery_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='carriage_delivery_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'delivery',
                'verbose_name_plural': 'deliveries',
                'ordering': ('ordering',),
                'permissions': (('list_delivery', 'Can list delivery'), ('detail_delivery', 'Can detail delivery'), ('disable_delivery', 'Can disable delivery')),
            },
        ),
    ]
